## syrthes 3.4.2

=== bin/Makefile ===
#-----------------------------------------------------------------------
#
#                        SYRTHES version 3.4
#                        -------------------
#
#     This file is part of the SYRTHES Kernel, element of the
#     thermal code SYRTHES.
#
#     Copyright (C) 1988-2008 EDF S.A., France
#
#     contact: syrthes-support@edf.fr
#
#
#     The SYRTHES Kernel is free software; you can redistribute it
#     and/or modify it under the terms of the GNU General Public License
#     as published by the Free Software Foundation; either version 2 of
#     the License, or (at your option) any later version.
#
#     The SYRTHES Kernel is distributed in the hope that it will be
#     useful, but WITHOUT ANY WARRANTY; without even the implied warranty
#     of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#
#     You should have received a copy of the GNU General Public License
#     along with the Code_Saturne Kernel; if not, write to the
#     Free Software Foundation, Inc.,
#     51 Franklin St, Fifth Floor,
#     Boston, MA  02110-1301  USA
#
#-----------------------------------------------------------------------
#
# Makefile for Syrthes
######################

include $(SYRTHES_HOME)/bin/Makefile.in

# Environment Macros
# ==================

SHELL   = /bin/sh

VERSION = "3.4.2"


# Project configuration macros
# ============================

# Test if variable SYRTHES_HOME is set 

ifndef SYRTHES_HOME 
$(error SYRTHES_HOME is not defined, run 'syrthes.profile' to set a correct value)
endif 

ifeq ($(SYRTHES_HOME),) 
$(error SYRTHES_HOME is a empty string, run 'syrthes.profile' to set a correct value)
endif

# Base project directories

DIR_SYRTHES     = $(SYRTHES_HOME)
BIN_SYRTHES     = $(DIR_SYRTHES)/bin
INC_SYRTHES     = $(DIR_SYRTHES)/include
SRC_SYRTHES     = $(DIR_SYRTHES)/src
UTIL_SYRTHES    = $(SRC_SYRTHES)/util
ARCH_SYRTHES    = $(DIR_SYRTHES)/lib/$(NOM_ARCH)
EXEC_SYRTHES    = $(DIR_SYRTHES)/bin/$(NOM_ARCH)


# Names of the base library and Syrthes executable file

NOM_PREFIX      = "syrthes"
NOM_LIB_MAIN    = "libmain"$(NOM_PREFIX)$(VERSION)_$(NOM_ARCH)
NOM_LIB_SAT     = "libsat"$(NOM_PREFIX)$(VERSION)_$(NOM_ARCH)
NOM_LIB_SYRTHES = "lib"$(NOM_PREFIX)$(VERSION)_$(NOM_ARCH)
NOM_EXE         = "syrthes"
NOM_UTIL1       = "syrthes2ensight"



# Presentation macros
#--------------------

BO = `tput bold`
SO = `tput smso`
NO = `tput rmso; tput sgr0`


# Target definitions
#===================


exe: 
	@for ffile in *.F ; do \
	 if [ -f $${ffile} ] ; then \
	  echo "$${ffile} " ;\
	  $(FC) -c $(FCFLAGS) -I$(INC_SYRTHES) $${ffile} ;\
	 fi ;\
	done

	@for cfile in *.c ; do \
	 if [ -f $${cfile} ] ; then \
	  echo "$${cfile} " ;\
	  $(CC) -c $(CFLAGS) -I$(INC_SYRTHES) $${cfile} ;\
	 fi ;\
	done

	ar xv $(ARCH_SYRTHES)/$(NOM_LIB_MAIN).a syrthes.o

	$(LD) $(LDFLAGS) -o $(NOM_EXE) *.o \
	 $(ARCH_SYRTHES)/$(NOM_LIB_MAIN).a \
	 $(ARCH_SYRTHES)/$(NOM_LIB_SYRTHES).a -lm

	@rm *.o

	@echo "*** Executable '$(NOM_EXE)' created " 


lib:
	$(FC) -c $(FCFLAGS) -I$(INC_SYRTHES) $(SRC_SYRTHES)/s/*.F
	$(CC) -c $(CFLAGS) -I$(INC_SYRTHES) $(SRC_SYRTHES)/s/*.c
	@ar rv $(NOM_LIB_SYRTHES).a *.o
	@rm -f *.o

	$(FC) -c $(FCFLAGS) -I$(INC_SYRTHES) $(SRC_SYRTHES)/ss/*.F
	$(CC) -c $(CFLAGS) -I$(INC_SYRTHES) $(SRC_SYRTHES)/ss/*.c
	@ar rv $(NOM_LIB_MAIN).a *.o
	@rm -f *.o

	$(FC) -c $(FCFLAGS) -I$(INC_SYRTHES) $(SRC_SYRTHES)/sc/*.F
	$(CC) -c $(CFLAGS) -I$(INC_SYRTHES) $(SRC_SYRTHES)/sc/*.c
	@ar rv $(NOM_LIB_SAT).a *.o
	@rm -f *.o

	@if [ ! -d "$(ARCH_SYRTHES)" ] ;\
	 then mkdir "$(ARCH_SYRTHES)" ;\
	 fi ;\

	@mv *.a $(ARCH_SYRTHES)

#	@echo "*** Libraries created in directory $(ARCH_SYRTHES)" 


install: lib util

	@echo "*** installation successfull" 


util: 
	$(CC) $(CFLAGS) -o $(NOM_UTIL1) $(UTIL_SYRTHES)/$(NOM_UTIL1).c

	@if [ ! -d "$(EXEC_SYRTHES)" ] ; then \
	 mkdir "$(EXEC_SYRTHES)" ;\
	fi ;\

	@mv $(NOM_UTIL1) $(EXEC_SYRTHES)

#	@echo "***Executable '$(NOM_UTIL1)' created in directory $(EXEC_SYRTHES)" 


clean:
	@rm -f *.o


distclean: clean

	@rm -f $(ARCH_SYRTHES)/$(NOM_LIB_SYRTHES).a
	@rm -f $(ARCH_SYRTHES)/$(NOM_LIB_MAIN).a	
	@rm -f $(ARCH_SYRTHES)/$(NOM_LIB_SAT).a
	@rm -f $(NOM_EXE) 
	@rm -f $(EXEC_SYRTHES)/$(NOM_UTIL1) 


help info:
	@echo
	@echo "***  Syrthes $(VERSION) compilation/link"
	@echo "***  System: $(NOM_ARCH)"
	@echo
	@echo
	@echo "Usage : $(BO)make$(NO) $(SO)<target>$(NO) 	(in a user directory)"
	@echo "			 for Syrthes link"
	@echo
	@echo "     with :"
	@echo "     $(SO)<target>$(NO) : $(BO)exe$(NO)         : 'syrthes' executable (default)"
	@echo "                $(BO)install$(NO)     : libraries creation and utilitaries"
	@echo "                $(BO)lib$(NO)         : libraries creation"
	@echo "                $(BO)util$(NO)        : utilitaries"
	@echo "                $(BO)clean$(NO)       : deletes object files"
	@echo "                $(BO)distclean$(NO)   : deletes object files, libraries, and utilitaries"
	@echo "                $(BO)help$(NO)        : this message"
	@echo "                $(BO)info$(NO)        : same"
	@echo
	@echo "     and the additional user options:"
	@echo "     $(SO)<CFLAGS>$(NO)  : C compiler options"
	@echo "     $(SO)<FCFLAGS>$(NO) : Fortran compiler options"
	@echo "     $(SO)<LDFLAGS>$(NO): linker options"
	@echo

## syrthes 3.4.3

=== bin/Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 SHELL   = /bin/sh
 
-VERSION = "3.4.2"
+VERSION = "3.4.3"
 
 
 # Project configuration macros

=== example/cylinder/Makefile ===
#-----------------------------------------------------------------------
#
#                        SYRTHES version 3.4
#                        -------------------
#
#     This file is part of the SYRTHES Kernel, element of the
#     thermal code SYRTHES.
#
#     Copyright (C) 1988-2008 EDF S.A., France
#
#     contact: syrthes-support@edf.fr
#
#
#     The SYRTHES Kernel is free software; you can redistribute it
#     and/or modify it under the terms of the GNU General Public License
#     as published by the Free Software Foundation; either version 2 of
#     the License, or (at your option) any later version.
#
#     The SYRTHES Kernel is distributed in the hope that it will be
#     useful, but WITHOUT ANY WARRANTY; without even the implied warranty
#     of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#
#     You should have received a copy of the GNU General Public License
#     along with the Code_Saturne Kernel; if not, write to the
#     Free Software Foundation, Inc.,
#     51 Franklin St, Fifth Floor,
#     Boston, MA  02110-1301  USA
#
#-----------------------------------------------------------------------
#
# Makefile for Syrthes
######################

include $(SYRTHES_HOME)/bin/Makefile.in

# Environment Macros
# ==================

SHELL   = /bin/sh

VERSION = "3.4.2"


# Project configuration macros
# ============================

# Test if variable SYRTHES_HOME is set 

ifndef SYRTHES_HOME 
$(error SYRTHES_HOME is not defined, run 'syrthes.profile' to set a correct value)
endif 

ifeq ($(SYRTHES_HOME),) 
$(error SYRTHES_HOME is a empty string, run 'syrthes.profile' to set a correct value)
endif

# Base project directories

DIR_SYRTHES     = $(SYRTHES_HOME)
BIN_SYRTHES     = $(DIR_SYRTHES)/bin
INC_SYRTHES     = $(DIR_SYRTHES)/include
SRC_SYRTHES     = $(DIR_SYRTHES)/src
UTIL_SYRTHES    = $(SRC_SYRTHES)/util
ARCH_SYRTHES    = $(DIR_SYRTHES)/lib/$(NOM_ARCH)
EXEC_SYRTHES    = $(DIR_SYRTHES)/bin/$(NOM_ARCH)


# Names of the base library and Syrthes executable file

NOM_PREFIX      = "syrthes"
NOM_LIB_MAIN    = "libmain"$(NOM_PREFIX)$(VERSION)_$(NOM_ARCH)
NOM_LIB_SAT     = "libsat"$(NOM_PREFIX)$(VERSION)_$(NOM_ARCH)
NOM_LIB_SYRTHES = "lib"$(NOM_PREFIX)$(VERSION)_$(NOM_ARCH)
NOM_EXE         = "syrthes"
NOM_UTIL1       = "syrthes2ensight"



# Presentation macros
#--------------------

BO = `tput bold`
SO = `tput smso`
NO = `tput rmso; tput sgr0`


# Target definitions
#===================


exe: 
	@for ffile in *.F ; do \
	 if [ -f $${ffile} ] ; then \
	  echo "$${ffile} " ;\
	  $(FC) -c $(FCFLAGS) -I$(INC_SYRTHES) $${ffile} ;\
	 fi ;\
	done

	@for cfile in *.c ; do \
	 if [ -f $${cfile} ] ; then \
	  echo "$${cfile} " ;\
	  $(CC) -c $(CFLAGS) -I$(INC_SYRTHES) $${cfile} ;\
	 fi ;\
	done

	ar xv $(ARCH_SYRTHES)/$(NOM_LIB_MAIN).a syrthes.o

	$(LD) $(LDLFLAGS) -o $(NOM_EXE) *.o \
	 $(ARCH_SYRTHES)/$(NOM_LIB_MAIN).a \
	 $(ARCH_SYRTHES)/$(NOM_LIB_SYRTHES).a -lm

	@rm *.o

	@echo "*** Executable '$(NOM_EXE)' created " 


lib:
	$(FC) -c $(FCFLAGS) -I$(INC_SYRTHES) $(SRC_SYRTHES)/s/*.F
	$(CC) -c $(CFLAGS) -I$(INC_SYRTHES) $(SRC_SYRTHES)/s/*.c
	@ar rv $(NOM_LIB_SYRTHES).a *.o
	@rm -f *.o

	$(FC) -c $(FCFLAGS) -I$(INC_SYRTHES) $(SRC_SYRTHES)/ss/*.F
	$(CC) -c $(CFLAGS) -I$(INC_SYRTHES) $(SRC_SYRTHES)/ss/*.c
	@ar rv $(NOM_LIB_MAIN).a *.o
	@rm -f *.o

	$(FC) -c $(FCFLAGS) -I$(INC_SYRTHES) $(SRC_SYRTHES)/sc/*.F
	$(CC) -c $(CFLAGS) -I$(INC_SYRTHES) $(SRC_SYRTHES)/sc/*.c
	@ar rv $(NOM_LIB_SAT).a *.o
	@rm -f *.o

	@if [ ! -d "$(ARCH_SYRTHES)" ] ;\
	 then mkdir "$(ARCH_SYRTHES)" ;\
	 fi ;\

	@mv *.a $(ARCH_SYRTHES)

#	@echo "*** Libraries created in directory $(ARCH_SYRTHES)" 


install: lib util

	@echo "*** installation successfull" 


util: 
	$(CC) $(CFLAGS) -o $(NOM_UTIL1) $(UTIL_SYRTHES)/$(NOM_UTIL1).c

	@if [ ! -d "$(EXEC_SYRTHES)" ] ; then \
	 mkdir "$(EXEC_SYRTHES)" ;\
	fi ;\

	@mv $(NOM_UTIL1) $(EXEC_SYRTHES)

#	@echo "***Executable '$(NOM_UTIL1)' created in directory $(EXEC_SYRTHES)" 


clean:
	@rm -f *.o


distclean: clean

	@rm -f $(ARCH_SYRTHES)/$(NOM_LIB_SYRTHES).a
	@rm -f $(ARCH_SYRTHES)/$(NOM_LIB_MAIN).a	
	@rm -f $(ARCH_SYRTHES)/$(NOM_LIB_SAT).a
	@rm -f $(NOM_EXE) 
	@rm -f $(EXEC_SYRTHES)/$(NOM_UTIL1) 


help info:
	@echo
	@echo "***  Syrthes $(VERSION) compilation/link"
	@echo "***  System: $(NOM_ARCH)"
	@echo
	@echo
	@echo "Usage : $(BO)make$(NO) $(SO)<target>$(NO) 	(in a user directory)"
	@echo "			 for Syrthes link"
	@echo
	@echo "     with :"
	@echo "     $(SO)<target>$(NO) : $(BO)exe$(NO)         : 'syrthes' executable (default)"
	@echo "                $(BO)install$(NO)     : libraries creation and utilitaries"
	@echo "                $(BO)lib$(NO)         : libraries creation"
	@echo "                $(BO)util$(NO)        : utilitaries"
	@echo "                $(BO)clean$(NO)       : deletes object files"
	@echo "                $(BO)distclean$(NO)   : deletes object files, libraries, and utilitaries"
	@echo "                $(BO)help$(NO)        : this message"
	@echo "                $(BO)info$(NO)        : same"
	@echo
	@echo "     and the additional user options:"
	@echo "     $(SO)<CFLAGS>$(NO)  : C compiler options"
	@echo "     $(SO)<FCFLAGS>$(NO) : Fortran compiler options"
	@echo "     $(SO)<LDLFLAGS>$(NO): linker options"
	@echo

=== src/util/convert2syrthes/Makefile ===
CFLAGS=-O
SOURCES=ecriture_syr.c lecture_neu.c lecture_msh.c lecture_med.c convert2syrthes.c
INCMED=-I/home/saturne/opt/med-2.3.4/arch/Linux_x86_64/include
INCLUDE=-I.
LIBMED=-L/home/saturne/opt/med-2.3.4/arch/Linux_x86_64/lib -L/home/saturne/opt/hdf5-1.6.7/arch/Linux_x86_64/lib -lmedC -L.

MED=no

ifeq ($(MED),yes)
        CFLAGS += -DMED
        LIBS += $(LIBMED)
	INCLUDE += $(INCMED)
	MESS="Compilation with MED"
else
	MESS="Compilation without MED"
endif

exe :
	@echo $(MESS)
	cc  -o convert2syrthes $(CFLAGS) $(INCLUDE) $(LIBS) $(SOURCES)

## syrthes 3.4.3-dfsg1

=== debian/changelog ===
syrthes (3.4.3-dfsg1-7) unstable; urgency=low

  * debian/rules: define MED_API_23 for the convert2syrthes build
    (closes: #730901).

 -- Gilles Filippini <pini@debian.org>  Mon, 09 Dec 2013 13:57:37 +0100

syrthes (3.4.3-dfsg1-6) unstable; urgency=low

  * d/rules:
    + support for any default mpi implementation (Closes: #666417) 

  * d/copyright:
    + Update to the version 1.0 of the Machine-readable debian/copyright
      format specification
  * d/README.source:
    + Drop the quilt section, no needed anymore with source format
      "3.0 (quilt)"
  * d/control:
    + Bump Standards-Version to 3.9.3 (no change needed)

 -- Gilles Filippini <pini@debian.org>  Sun, 01 Apr 2012 15:43:12 +0200

syrthes (3.4.3-dfsg1-5) unstable; urgency=low

  * d/rules:
    + MED 3.0 support (Closes: #646466)
    + Minor cleanning

 -- Gilles Filippini <pini@debian.org>  Tue, 01 Nov 2011 23:22:43 +0100

syrthes (3.4.3-dfsg1-4) unstable; urgency=low

  * New patch as-needed from Ubuntu Dev Ilya Barygin: fixes FTBFS with
    linker flag --as-needed (closes: #632521)
  * debian/control:
    + Build-Depends: drop quilt
    + Standards-Version: 3.9.2 (no change needed)

 -- Gilles Filippini <pini@debian.org>  Mon, 04 Jul 2011 22:52:36 +0200

syrthes (3.4.3-dfsg1-3) unstable; urgency=low

  * debian/rules: ensure proper MPI configuration using the information
    provided by mpi-default-dev in /usr/share/mpi-default-dev/debian_defaults

 -- Gilles Filippini <pini@debian.org>  Sun, 20 Feb 2011 21:02:21 +0100

syrthes (3.4.3-dfsg1-2) unstable; urgency=low

  * Build-Depends: replace libhdf5-openmpi-dev with libhdf5-mpi-dev which
    pulls the default MPI implementation of libhdf5 depending on the
    architecture.

 -- Gilles Filippini <pini@debian.org>  Sun, 20 Feb 2011 15:26:41 +0100

syrthes (3.4.3-dfsg1-1) unstable; urgency=low

  * New upstream release:
    + new convert2syrthes util to convert mesh files from GAMBIT, GMSH or MED
      to the SYRTHES format

  * Quit hard coding the version number in the install path (closes: #571022)
  * Drop naming the binary package after the version when the
    SCIENCE_EXPLICIT_VERSION variable is set at build time
  * move to source format 3.0 (quilt)
  * debian/control:
    + drop DM-Upload-Allowed and set Uploaders to my debian address
    + Build-Depends: libmedc-dev, libhdf5-openmpi-dev (for convert2syrthes)
    + versioned Build-Depends on debhelper for source format 3.0 (quilt)
  * debian/rules: switch to the dh sequencer
  * New patch:
    + libmed-mesgerr: the macro MESGERR has to be defined explicitly
  * debian/convert2syrthes.1: manpage for convert2syrthes written after
    the convert2syrthes README.txt file

 -- Gilles Filippini <pini@debian.org>  Tue, 15 Feb 2011 23:53:29 +0100

syrthes (3.4.2-dfsg1-3) unstable; urgency=low

  * New patch:
    + f2c: Add a test against __GNUC__ to match gcc whatever the arch
      is (Closes: #548491) 

 -- Gilles Filippini <gilles.filippini@free.fr>  Sun, 27 Sep 2009 23:04:17 +0200

syrthes (3.4.2-dfsg1-2) unstable; urgency=low

  * debian/patches/syrthes_env:
    + Remove useless patch's part against syrthes.profile file.
  * debian/rules:
    + Fix files' permissions on install.
    + Add get-orig-source target.
  * debian/syrthes2ensight.1:
    + Escape minus signs.
  * debian/README.source:
    + Updated upstream source handling from uscan to git-import-orig.

 -- Gilles Filippini <gilles.filippini@free.fr>  Sun, 27 Sep 2009 18:18:52 +0200

syrthes (3.4.2-dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #531902)

 -- Gilles Filippini <gilles.filippini@free.fr>  Tue, 15 Sep 2009 17:02:31 +0200

=== debian/control ===
Source: syrthes
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gilles Filippini <pini@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gfortran, libmedc-dev, libhdf5-mpi-dev
Standards-Version: 3.9.3
Homepage: http://rd.edf.com/syrthes
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/syrthes.git;a=summary
Vcs-Git: git://git.debian.org/git/debian-science/packages/libgarmin.git

Package: syrthes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gfortran
Description: Transient thermal simulations in complex solid geometries
 SYRTHES is a general purpose thermal software developed at EDF R&D which
 models conduction and radiation heat transfers in complex geometries.
 .
 SYRTHES can be used coupled with the computational fluid dynamics (CFD)
 Code_Saturne.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# MED 2.3.6 API shipped with MED 3.0
INCMED=-DMED_API_23 -I/usr/include/2.3.6

# Which MPI implementation (requested by libhdf5-mpi-dev)
ifneq (,$(shell ls /usr/share/mpi-default-dev/debian_defaults))
include /usr/share/mpi-default-dev/debian_defaults 
INCMED+=-I/usr/include/$(ARCH_DEFAULT_MPI_IMPL)
endif


SYRTHES_HOME=usr/lib/syrthes
INSTALL_DIR=$(CURDIR)/debian/syrthes

%:
	dh $@

override_dh_auto_build:
	cd $(CURDIR)/bin && SYRTHES_HOME=$(CURDIR) $(MAKE) install
	# convert2syrthes
	make -C src/util/convert2syrthes MED="yes" INCMED="$(INCMED)" LIBMED="-lmedC"

override_dh_auto_clean:
	SYRTHES_HOME=$(CURDIR) $(MAKE) -C $(CURDIR)/bin distclean

override_dh_auto_install:
	set -e; \
	for dir in bin bin/Linux data example/cylinder example/cylinder/MESH \
	  example/cylinder/RESU example/cylinder/usr include lib/Linux \
	  usr; do \
	  find $$dir -maxdepth 1 -type f -exec install -m a-x "{}" $(INSTALL_DIR)/$(SYRTHES_HOME)/$$dir \; ; \
	done
	install src/util/convert2syrthes/convert2syrthes $(INSTALL_DIR)/usr/bin
	cd $(INSTALL_DIR)/$(SYRTHES_HOME)/bin && chmod a+x syrthes_create_case Linux/syrthes2ensight
	sed -i "s!@SYRTHES_HOME@!/$(SYRTHES_HOME)!g" $(INSTALL_DIR)/$(SYRTHES_HOME)/bin/syrthes_create_case
	sed -i "s!@SYRTHES_HOME@!/$(SYRTHES_HOME)!g" $(INSTALL_DIR)/$(SYRTHES_HOME)/bin/Makefile
	rm -f $(INSTALL_DIR)/$(SYRTHES_HOME)/bin/syrthes.profile
	# Move example dir to /usr/share/doc/syrthes/
	mkdir -p $(INSTALL_DIR)/usr/share/doc/syrthes$(EXPLICIT_VERSION)
	mv $(INSTALL_DIR)/$(SYRTHES_HOME)/example $(INSTALL_DIR)/usr/share/doc/syrthes/
	cd $(INSTALL_DIR)/usr/share/doc/syrthes/example && tar czf cylinder.tar.gz cylinder && rm -fr cylinder

override_dh_link:
	dh_link \
		/$(SYRTHES_HOME)/bin/syrthes_create_case /usr/bin/syrthes_create_case \
		/$(SYRTHES_HOME)/bin/Linux/syrthes2ensight /usr/bin/syrthes2ensight

=== debian/watch ===
version=3
# syrthes upstream archives can't be watched using uscan.
# I download the archive by hand and apply the script debian/orig-tar.sh the
# same way uscan would have:
# debian/orig-tar.sh --upstream-version <version> <archive>

## syrthes 4.1.1

=== src/syrthes-kernel/src/Makefile ===


include ../../Makefile.in

#-------------------------------------------------------------------
VPATH = $(INC_SYRTHES) $(INC_SYRTHES_BIBMAT)

BUILD=$(SYRTHES4_HOME)/build/
$(shell mkdir -p $(BUILD))


OBJ=$(patsubst %.c, $(BUILD)/%.o, $(wildcard *.c))


lib : $(OBJ)
	ar rv $(LIB_SYRTHES) $(BUILD)/*.o
#	rm -rf $(BUILD)


$(BUILD)/%.o : %.c
	$(CC) -c $(COPTIM) $(CFLAG) $(INC_SYRTHES) $(INC_SYRTHES_BIBMAT) $(INC) $? -o $@


clean:
	rm -rf $(BUILD)/*.o

realclean:
	rm -rf $(BUILD) ; rm -f $(LIB_SYRTHES)

=== src/syrthes-pp/src/Makefile ===
SHELL = /bin/sh

include ../../Makefile.in

#-------------------------------------------------------------------
VPATH = $(INC_PPSYR)

BUILD=$(SYRTHES4_HOME)/build/
#$(shell mkdir -p $(BUILD))


OBJ=$(patsubst %.c, $(BUILD)/%.o, $(wildcard *.c))

ifeq ($(PART_METIS),yes) 
     FLAG_PART += -D_METIS_
endif

ifeq ($(PART_SCOTCH),yes) 
     FLAG_PART += -D_SCOTCH_
endif


a.out: $(OBJ)
	$(FRONT_CC) -o $(PPSYR) $(COPTIM) $(LDFLAG) $(BUILD)/*.o  $(LIBMETIS) $(LIBSCOTCH) -lm
#	rm -rf $(BUILD)



$(BUILD)/%.o : %.c
	$(FRONT_CC) -c $(CFLAG) $(COPTIM) $(FLAG_PART) $(INC_PPSYR) $(INC_METIS) $(INC_SCOTCH) $< -o $@


clean:
	rm -rf $(BUILD)/*.o

realclean:
	rm -rf $(BUILD) ; rm -f $(PPSYR)

=== src/tests/cas_plates3d_salome/syrthes/Makefile ===
SHELL = /bin/sh

#*****************************************************
#***     Makefile pour la gneration 
#***     d'un executable pour SYRTHES
#*****************************************************

include $(SYRTHES4_HOME)/share/syrthes/Makefile.in


OBJ=$(patsubst %.c, %.o, $(wildcard *.c))


exe : $(OBJ)
	ar xv $(LIB_SYRTHES) mainsyrthes.o
	$(CC) -o syrthes   $(COPTIM) $(CFLAG) -D_FILE_OFFSET_BITS=64 \
	$(INC_SYRTHES) $(INC_SYRTHES_BIBMAT) $(INC) $(LDFLAG) *.o \
	$(LIB_SYRTHES) -lm  $(LIB) $(LIB_PLE) 

	@rm *.o

%.o : %.c
	$(CC)  -c  $(COPTIM) $(CFLAG) -D_FILE_OFFSET_BITS=64 $(INC_SYRTHES) $(INC_SYRTHES_BIBMAT) $(INC) $? -o $@

## syrthes 4.1.1-dfsg1

=== debian/changelog ===
syrthes (4.1.1-dfsg1-5) unstable; urgency=medium

  * Disable libsyrthes_cfd on s390x where openmpi isn't available.

 -- Gilles Filippini <pini@debian.org>  Wed, 24 Sep 2014 00:18:03 +0200

syrthes (4.1.1-dfsg1-4) unstable; urgency=medium

  * Enable libsyrthes_cfd to allow coupling with code-saturne. It needs
    libple develoment files provided by code-saturne-bin and
    code-saturne-include.
  * Add code-saturne to syrthes's Suggests field.
  * Install syrthes-tools binaries into SYRTHES4_HOME/bin, because
    syrthes-gui expects to find them there. Add symlinks to have them
    into /usr/bin as well.

  * Bump Standards-Version to 3.9.6 (no change).
  * Upload to unstable.

 -- Gilles Filippini <pini@debian.org>  Mon, 22 Sep 2014 11:35:40 +0200

syrthes (4.1.1-dfsg1-3) experimental; urgency=medium

  * Fix setup.patch to support the hdf5 1.8.13 new packaging layout.

 -- Gilles Filippini <pini@debian.org>  Wed, 30 Jul 2014 20:16:50 +0200

syrthes (4.1.1-dfsg1-2) experimental; urgency=medium

  * d/rules: display ERREUR.log in case of installation failure.
  * New patch Wformat.patch: fix printf format warnings causing false
    positives in ERREUR.log.

 -- Gilles Filippini <pini@debian.org>  Sun, 16 Mar 2014 23:53:04 +0100

syrthes (4.1.1-dfsg1-1) experimental; urgency=low

  * New upstream release.
  * New binary packages:
    * syrthes-tools (pre/post-processors, converters)
    * syrthes-gui (new GUI writen in python)
    * syrthes-tests (test cases).

  * New manpages for the new upstream tools.

 -- Gilles Filippini <pini@debian.org>  Thu, 23 Jan 2014 15:30:55 +0100

=== debian/control ===
Source: syrthes
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gilles Filippini <pini@debian.org>
Build-Depends: debhelper (>= 9~), python, libmedc-dev, libhdf5-mpi-dev, libmetis-dev, libscotch-dev,
 pyqt4-dev-tools, python-qwt5-qt4, code-saturne-bin [!s390x], code-saturne-include [!s390x]
Standards-Version: 3.9.6
Homepage: http://rd.edf.com/syrthes
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/syrthes.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/syrthes.git

Package: syrthes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, gcc, make
Recommends: syrthes-tools
Suggests: syrthes-gui, syrthes-tests, code-saturne
Description: Transient thermal simulations in complex solid geometries
 SYRTHES is a general purpose thermal software developed at EDF R&D which
 models conduction and radiation heat transfers in complex geometries.
 .
 SYRTHES can be used coupled with the computational fluid dynamics (CFD)
 Code_Saturne.

Package: syrthes-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, syrthes (>= 4.1.1~)
Description: Transient thermal simulations in complex solid geometries - tools
 SYRTHES is a general purpose thermal software developed at EDF R&D which
 models conduction and radiation heat transfers in complex geometries.
 .
 This package contains SYRTHES pre and post-processors, and tools for
 creating new SYRTHES cases, converting mesh files to SYRTHES, or converting
 SYRTHES files to MED or Ensight formats.

Package: syrthes-gui
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-qwt5-qt4, syrthes (>= 4.1.1~)
Description: Transient thermal simulations in complex solid geometries - GUI
 SYRTHES is a general purpose thermal software developed at EDF R&D which
 models conduction and radiation heat transfers in complex geometries.
 .
 This package contains a graphical user interface for SYRTHES.

Package: syrthes-tests
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: syrthes (>= 4.1.1~)
Description: Test cases for SYRTHES
 SYRTHES is a general purpose thermal software developed at EDF R&D which
 models conduction and radiation heat transfers in complex geometries.
 .
 This package contains test cases for SYRTHES.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DPKG_EXPORT_BUILDFLAGS := yes
include /usr/share/dpkg/buildflags.mk

# Which MPI implementation (requested by libhdf5-mpi-dev)
ifneq (,$(shell ls /usr/share/mpi-default-dev/debian_defaults))
include /usr/share/mpi-default-dev/debian_defaults 
INCMED+=-I/usr/include/$(ARCH_DEFAULT_MPI_IMPL)
endif

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL)/libhdf5.so),)
  HDF5_DIR := /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL)
else
  HDF5_DIR := /usr
endif

# Disable libsyrthes_cfd on s390x where openmpi isn't available
ifneq (s390x,$(DEB_HOST_ARCH))
  CFD := yes
else
  CFD := no
endif

ERRLOG := src/syrthes-install/ERREUR.log

SYRTHES_HOME=usr/lib/syrthes
INSTALL_DIR=$(CURDIR)/debian/syrthes

%:
	dh $@ --with python2

override_dh_auto_configure:
	sed -i.orig src/syrthes-install/setup.ini \
		-e 's/@MPI@/$(ARCH_DEFAULT_MPI_IMPL)/g' \
		-e 's/@MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
		-e 's:@HDF5_DIR@:$(HDF5_DIR):g' \
		-e 's:@CFD@:$(CFD):g'

override_dh_auto_build:
	cd src/syrthes-gui/src && ./Install.sh
	cd src/syrthes-install && ./syrthes_install.py
	# ERREUR.log should be empty
	if [ -s "$(ERRLOG)" ]; then \
	  cat "$(ERRLOG)" && false; \
	fi

override_dh_auto_clean:
	[ ! -f src/syrthes-install/setup.ini.orig ] || \
	  mv src/syrthes-install/setup.ini.orig src/syrthes-install/setup.ini

override_dh_auto_install:
	mv src/syrthes-gui/src/install arch/Debian/syrthes-gui
	sed -i 's:$(CURDIR)/arch/Debian:/usr/lib/syrthes:;s/-I -I/-I/;s/-L -L/-L/' \
		arch/Debian/bin/syrthes.profile \
		arch/Debian/share/syrthes/Makefile.in
	# Fix unwanted exec flags into syrthes-gui tree
	# (not catched by dh_fixperms)
	chmod -R a-x arch/Debian/syrthes-gui/*
	chmod -R a+X arch/Debian/syrthes-gui/*

override_dh_python2:
	dh_python2 -N syrthes-tests
	dh_python2 -p syrthes-tests usr/share/syrthes/tests

## syrthes 4.3.0

=== src/Makefile ===
include Makefile.in

ifeq ($(DEBUG),yes)
	DBG= DEBUG=yes
endif

default:
	more Makefile.help

all:
	@make syrthesseq
	@make syrthesmpi
	@make syrthescfd
	@make ppfunc
	@make pp
	@make post
	@make syrthestools

syrthes:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-kernel/src realclean
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-kernel/src

	$(MAKE) $(DBG)MPI=no  -I $(MAKEINC) -C ./syrthes-kernel/src realclean
	$(MAKE) $(DBG) CFD=yes -I $(MAKEINC) -C ./syrthes-kernel/src

syrthesmpi:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-kernel/src clean
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-kernel/src

syrthesseq:
	$(MAKE) $(DBG) MPI=no  -I $(MAKEINC) -C ./syrthes-kernel/src clean
	$(MAKE) $(DBG) MPI=no  -I $(MAKEINC) -C ./syrthes-kernel/src

syrthescfd:
	$(MAKE) $(DBG) CFD=yes -I $(MAKEINC) -C ./syrthes-kernel/src clean
	$(MAKE) $(DBG) CFD=yes -I $(MAKEINC) -C ./syrthes-kernel/src

ppfunc:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-ppfunc/src clean	
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-ppfunc/src	

pp:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-pp/src clean		
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-pp/src

syrthesconvert:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-tools/convert2syrthes4/src clean
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-tools/convert2syrthes4/src

syrthesensight:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-tools/syrthes4ensight/src clean
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-tools/syrthes4ensight/src

syrthesmed:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-tools/syrthes4med30/src clean
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-tools/syrthes4med30/src


post:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-post/src clean	
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-post/src

allclean:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-pp/src clean
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-ppfunc/src clean
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-post/src clean
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-kernel/src clean
	$(MAKE) $(DBG) MPI=no  -I $(MAKEINC) -C ./syrthes-kernel/src clean
	$(MAKE) $(DBG) CFD=yes -I $(MAKEINC) -C ./syrthes-kernel/src clean
	$(MAKE) -I $(MAKEINC) -C $(SYRTHES4_HOME)./syrthes-tools/syrthes4ensight/src clean
	$(MAKE) -I $(MAKEINC) -C $(SYRTHES4_HOME)./syrthes-tools/convert2syrthes4/src clean

syrthesclean:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-kernel/src realclean
	$(MAKE) $(DBG) MPI=no  -I $(MAKEINC) -C ./syrthes-kernel/src realclean
	$(MAKE) $(DBG) CFD=yes -I $(MAKEINC) -C ./syrthes-kernel/src realclean

ppfuncclean:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-ppfunc/src clean 

ppclean:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-pp/src clean	

postclean:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-post/src clean

=== src/syrthes-kernel/src/Makefile ===


include ../../Makefile.in

#-------------------------------------------------------------------
VPATH = $(INC_SYRTHES) $(INC_SYRTHES_LIBMAT)

BUILD=$(SYRTHES4_HOME)/build/
$(shell mkdir -p $(BUILD))


OBJ=$(patsubst %.c, $(BUILD)/%.o, $(wildcard *.c))


lib : $(OBJ)
	$(CC) -c  $(CFLAG) $(INC_SYRTHES) $(INC_SYRTHES_LIBMAT) $(INC) lire_data.c -o $(BUILD)/lire_data.o
	ar rv $(LIB_SYRTHES) $(BUILD)/*.o
#	rm -rf $(BUILD)


$(BUILD)/%.o : %.c
	$(CC) -c $(COPTIM) $(CFLAG) $(INC_SYRTHES) $(INC_SYRTHES_LIBMAT) $(INC) $? -o $@


clean:
	rm -rf $(BUILD)/*.o

realclean:
	rm -rf $(BUILD) ; rm -f $(LIB_SYRTHES)

=== src/syrthes-post/src/Makefile ===
SHELL = /bin/sh

include ../../Makefile.in


#-------------------------------------------------------------------
VPATH = $(INC_POSTSYR)

BUILD=$(SYRTHES4_HOME)/build/
#$(shell mkdir -p $(BUILD))


OBJ=$(patsubst %.c, $(BUILD)/%.o, $(wildcard *.c))


a.out: $(OBJ)
	$(FRONT_CC) -o $(POSTSYR) $(COPTIM) $(LDFLAG) $(BUILD)/*.o  -lm
#	rm -rf $(BUILD)



$(BUILD)/%.o : %.c
	$(FRONT_CC) -c $(COPTIM)  $(CFLAG) $(INC_POSTSYR)  $<  -o $@

clean:
	rm -rf $(BUILD)/*.o

realclean:
	rm -rf $(BUILD)/*.o ; rm -f $(POSTSYR)

=== src/syrthes-tools/convert2syrthes4/src/Makefile ===
#SHELL = /bin/sh



#-------------------------------------------------------------------
include ../../../Makefile.in

VPATH = ../include

BUILD=../../../../build/
$(shell mkdir -p $(BUILD))

OBJ=$(patsubst %.c, $(BUILD)/%.o, $(wildcard *.c))

ifeq ($(MED),yes)
        CFLAG += -DMED
        LIBS += $(LIBMED)
	INC += $(INC_MED)
	MESS="Compilation with MED"
else
	MESS="Compilation without MED"
endif

exe: $(OBJ)
	$(FRONT_CC) -o $(CONVERTSYR) $(COPTIM) $(LDFLAG) $(BUILD)/*.o  $(LIBS) -lm

$(BUILD)/%.o : %.c
	$(FRONT_CC) -c $(COPTIM) $(CFLAG) $(INC) $? -o $@

clean:
	rm -rf $(BUILD)/*.o

realclean:
	rm -rf $(BUILD) ; rm -f $(CONVERTSYR)

=== src/syrthes-tools/syrthes4ensight/src/Makefile ===
SHELL = /bin/sh

include ../../../Makefile.in

#------------------------------
VPATH = ../include

BUILD=../../../../build/
$(shell mkdir -p $(BUILD))


OBJ=$(patsubst %.c, $(BUILD)/%.o, $(wildcard *.c))


a.out: $(OBJ)
	$(FRONT_CC) -o $(SYRENSIGHT) $(COPTIM) $(LDFLAG) $(BUILD)/*.o  $(LIBENSIGHT)
#	rm -rf $(BUILD)



$(BUILD)/%.o : %.c
	$(FRONT_CC) -c $(COPTIM) $(CFLAG)  $< -o $@


clean:
	rm -rf $(BUILD)/*.o

realclean:
	rm -rf $(BUILD) ; rm -f $(SYRENSIGHT)

## syrthes 4.3.0-dfsg1

=== debian/changelog ===
syrthes (4.3.0-dfsg1-5) unstable; urgency=medium

  * Port to python3 (closes: #938616)
    New patches: python3.patch, python3-conf.patch, python3-syrthes.patch
    Thanks to Stuart Prescott for most of the work
  * Run tests during the build
  * New patch fix-tests.patch: fix a couple of hard coded paths

 -- Gilles Filippini <pini@debian.org>  Sun, 02 Feb 2020 18:39:37 +0100

syrthes (4.3.0-dfsg1-4) unstable; urgency=medium

  * Drop package syrthes-gui because of the removal of python-qwt5-qt4
    (closes: #891993)

 -- Gilles Filippini <pini@debian.org>  Tue, 21 Jan 2020 21:27:44 +0100

syrthes (4.3.0-dfsg1-3) unstable; urgency=medium

  * Bump Standards-Version to 4.3.0:
    - Change Priority to optional (from extra)
    - Update Vcs-* fields to point to salsa.d.o
    - d/copyright: use https form of the format-copyright URL
  * Fix Homepage and Source links
  * Build-Depends: dh-python
  * Fix typo in syrthes4_create_case.patch

 -- Gilles Filippini <pini@debian.org>  Sun, 06 Jan 2019 02:09:26 +0100

syrthes (4.3.0-dfsg1-2) unstable; urgency=medium

  * Update patch setup.patch after openmpi went mutiarch (closes:
    #848747)

 -- Gilles Filippini <pini@debian.org>  Tue, 20 Dec 2016 18:29:18 +0100

syrthes (4.3.0-dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches:
    - buildflags.patch
    - setup.patch
  * New patch no-cx-freeze.patch: cx_Freeze isn't available in Debian
    and we wouldn't want to use it anyway.

  * d/rules: enable parallel build.

 -- Gilles Filippini <pini@debian.org>  Tue, 14 Jul 2015 14:24:34 +0200

=== debian/control ===
Source: syrthes
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gilles Filippini <pini@debian.org>
Build-Depends: debhelper (>= 9~), python3, dh-python, libmedc-dev, libhdf5-mpi-dev, libmetis-dev, libscotch-dev,
 code-saturne-bin (>= 4.0.0) [!s390x], code-saturne-include (>= 4.0.0) [!s390x]
Standards-Version: 4.3.0
Homepage: https://www.edf.fr/en/the-edf-group/world-s-largest-power-company/activities/research-and-development/scientific-communities/simulation-softwares?logiciel=10818
Vcs-Browser: https://salsa.debian.org/science-team/syrthes
Vcs-Git: https://salsa.debian.org/science-team/syrthes.git

Package: syrthes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, gcc, make
Recommends: syrthes-tools
Suggests: syrthes-gui, syrthes-tests, code-saturne
Description: Transient thermal simulations in complex solid geometries
 SYRTHES is a general purpose thermal software developed at EDF R&D which
 models conduction and radiation heat transfers in complex geometries.
 .
 SYRTHES can be used coupled with the computational fluid dynamics (CFD)
 Code_Saturne.

Package: syrthes-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, syrthes (>= 4.1.1~)
Description: Transient thermal simulations in complex solid geometries - tools
 SYRTHES is a general purpose thermal software developed at EDF R&D which
 models conduction and radiation heat transfers in complex geometries.
 .
 This package contains SYRTHES pre and post-processors, and tools for
 creating new SYRTHES cases, converting mesh files to SYRTHES, or converting
 SYRTHES files to MED or Ensight formats.

Package: syrthes-tests
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3
Recommends: syrthes (>= 4.1.1~)
Description: Test cases for SYRTHES
 SYRTHES is a general purpose thermal software developed at EDF R&D which
 models conduction and radiation heat transfers in complex geometries.
 .
 This package contains test cases for SYRTHES.

=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,12 @@
 SYRTHES_HOME=usr/lib/syrthes
 INSTALL_DIR=$(CURDIR)/debian/syrthes
 
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif	
+
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_configure:
 	sed -i.orig src/syrthes-install/setup.ini \
@@ -37,6 +41,10 @@
 		-e 's/@MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
 		-e 's:@HDF5_DIR@:$(HDF5_DIR):g' \
 		-e 's:@CFD@:$(CFD):g'
+ifneq (,$(NUMJOBS))
+	sed -i src/syrthes-install/setup.ini \
+		-e 's/^#specific_makej.*/specific_makej= -j$(NUMJOBS)/'
+endif
 
 override_dh_auto_build:
 	cd src/syrthes-gui/src && ./Install.sh
@@ -45,21 +53,43 @@
 	if [ -s "$(ERRLOG)" ]; then \
 	  cat "$(ERRLOG)" && false; \
 	fi
+	# Fixes to allow running tests from the build directory
+	sed -Ei 's/^(SYRTHES4_HOME)=(.*)$$/\1=$${\1:-\2}/' arch/Debian/bin/syrthes.profile
+	sed -Ei 's/^(BUILD_SYRTHES)=.*$$/\1=$$(SYRTHES4_HOME)/' arch/Debian/share/syrthes/Makefile.in
+	sed -i 's:$(CURDIR)/arch/Debian:/usr/lib/syrthes:;s/-I -I/-I/;s/-L -L/-L/' \
+		arch/Debian/bin/syrthes.profile \
+		arch/Debian/share/syrthes/Makefile.in
 
 override_dh_auto_clean:
 	[ ! -f src/syrthes-install/setup.ini.orig ] || \
 	  mv src/syrthes-install/setup.ini.orig src/syrthes-install/setup.ini
+	rm -fr arch
 
 override_dh_auto_install:
 	mv src/syrthes-gui/src/install arch/Debian/syrthes-gui
-	sed -i 's:$(CURDIR)/arch/Debian:/usr/lib/syrthes:;s/-I -I/-I/;s/-L -L/-L/' \
-		arch/Debian/bin/syrthes.profile \
-		arch/Debian/share/syrthes/Makefile.in
-	# Fix unwanted exec flags into syrthes-gui tree
-	# (not catched by dh_fixperms)
+	# Fix unwanted exec flags (not catched by dh_fixperms)
 	chmod -R a-x arch/Debian/syrthes-gui/*
 	chmod -R a+X arch/Debian/syrthes-gui/*
+	chmod -R a-x arch/Debian/share/syrthes/tests/*
+	chmod -R a+X arch/Debian/share/syrthes/tests/*
+	chmod a+x arch/Debian/share/syrthes/tests/*/syrthes/syrthes.py
+	chmod a-x arch/Debian/share/syrthes/*.c
+	chmod a-x arch/Debian/include/*
+	# Remove extra license file
+	rm arch/Debian/syrthes-gui/22x22/license
 
-override_dh_python2:
-	dh_python2 -N syrthes-tests
-	dh_python2 -p syrthes-tests usr/share/syrthes/tests
+define syrthes_test
+	cd $(1) && \
+	SYRTHES4_HOME=$(CURDIR)/arch/Debian PATH=$$PATH:$(CURDIR)/arch/Debian/bin ./syrthes.py -d *.syd | tee syrthes.trace && \
+	grep -q '\*\*\*\*\* Successful execution \*\*\*\*\*' syrthes.trace
+
+endef
+# The empty line above is important
+
+override_dh_auto_test:
+	mkdir -p debian/tmp
+	cp -a src/tests debian/tmp/
+	$(foreach testcase,$(wildcard src/tests/*/syrthes),$(call syrthes_test,$(subst src/tests/,debian/tmp/tests/,$(testcase))))
+
+override_dh_python3:
+	dh_python3 -N syrthes-tests --shebang=/usr/bin/python3

## syrthes 4.3.5+20200129

=== src/data/Makefile ===
SHELL = /bin/sh

#*****************************************************
#***     Makefile pour la gneration 
#***     d'un executable pour SYRTHES
#*****************************************************

include $(SYRTHES4_HOME)/share/syrthes/Makefile.in


OBJ=$(patsubst %.c, %.o, $(wildcard *.c))


exe : $(OBJ)
	ar xv $(LIB_SYRTHES) mainsyrthes.o
	$(CC) -o syrthes   $(COPTIM) $(CFLAG) -D_FILE_OFFSET_BITS=64 \
	$(INC_SYRTHES_LIBMAT) $(INC_SYRTHES)  $(INC) $(LDFLAG) *.o \
	$(LIB_SYRTHES) -lm  $(LIB) $(LIB_PLE) 

	@rm *.o

%.o : %.c
	$(CC)  -c  $(COPTIM) $(CFLAG) -D_FILE_OFFSET_BITS=64 $(INC_SYRTHES_LIBMAT) $(INC_SYRTHES)  $(INC) $? -o $@

=== src/syrthes-kernel/mylibmat_src/Makefile ===
SHELL = /bin/sh

#*****************************************************
#***     mylibmat_src/Makefile 
#*** compilation complementaire pour la lib materiau
#*****************************************************

include $(SYRTHES4_HOME)/share/syrthes/Makefile.in

OBJ=$(patsubst %.c, %.o, $(wildcard *.c))

all: $(OBJ)

%.o: %.c
	$(CC)  -c  $(COPTIM) $(CFLAG) -D_FILE_OFFSET_BITS=64  -I../mylibmat_include $^ -o  $@

=== src/syrthes-kernel/src/Makefile ===
--- 
+++ 
@@ -14,6 +14,8 @@
 
 lib : $(OBJ)
 	$(CC) -c  $(CFLAG) $(INC_SYRTHES) $(INC_SYRTHES_LIBMAT) $(INC) lire_data.c -o $(BUILD)/lire_data.o
+	$(CC) -c  $(CFLAG) $(INC_SYRTHES) $(INC_SYRTHES_LIBMAT) $(INC) hmt_limite.c -o $(BUILD)/hmt_limite.o
+	$(CC) -c  $(CFLAG) $(INC_SYRTHES) $(INC_SYRTHES_LIBMAT) $(INC) limite.c -o $(BUILD)/limite.o
 	ar rv $(LIB_SYRTHES) $(BUILD)/*.o
 #	rm -rf $(BUILD)

=== src/syrthes-pp/src/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 VPATH = $(INC_PPSYR)
 
 BUILD=$(SYRTHES4_HOME)/build/
-#$(shell mkdir -p $(BUILD))
+$(shell mkdir -p $(BUILD))
 
 
 OBJ=$(patsubst %.c, $(BUILD)/%.o, $(wildcard *.c))
@@ -21,7 +21,7 @@
 
 
 a.out: $(OBJ)
-	$(FRONT_CC) -o $(PPSYR) $(COPTIM) $(LDFLAG) $(BUILD)/*.o  $(LIBMETIS) $(LIBSCOTCH) -lm
+	$(FRONT_CC) -o $(PPSYR) $(COPTIM) $(LDFLAG) $(BUILD)/*.o  $(LIBMETIS) $(LIBSCOTCH) -lm -lpthread
 #	rm -rf $(BUILD)

=== src/syrthes-ppfunc/src/Makefile ===
SHELL = /bin/sh

include ../../Makefile.in

#-------------------------------------------------------------------
VPATH = $(INC_PPFUNCSYR)

BUILD=$(SYRTHES4_HOME)/build/
#$(shell mkdir -p $(BUILD))


OBJ=$(patsubst %.c, $(BUILD)/%.o, $(wildcard *.c))

a.out: $(OBJ)
	$(FRONT_CC) -o $(PPFUNCSYR) $(COPTIM) $(LDFLAG) $(BUILD)/*.o -lm
#	rm -rf $(BUILD)



$(BUILD)/%.o : %.c
	$(FRONT_CC) -c $(COPTIM) $(CFLAG) $(INC_PPFUNCSYR)  $<  -o $@

clean:
	rm -rf $(BUILD)/*.o

realclean:
	rm -rf $(BUILD) ; rm -f $(PPFUNCSYR)

=== src/syrthes-tools/syrthes4med30/src/Makefile ===
SHELL = /bin/sh

include ../../../Makefile.in

#-------------------------------------------------------------------
VPATH = ../include

BUILD=../../../../build/
$(shell mkdir -p $(BUILD))
        
CFLAG += -DMED
LIBS += $(LIBMED)
INC += $(INC_MED)

COPTIM=-O2

OBJ=$(patsubst %.c, $(BUILD)/%.o, $(wildcard *.c))


exe: $(OBJ)
	@echo $(MESS)
	$(FRONT_CC) -o $(CONVERTMED) $(COPTIM) $(LDFLAG) $(BUILD)/*.o  $(LIBS) -lm

$(BUILD)/%.o : %.c
	$(FRONT_CC) -c $(COPTIM) $(CFLAG) $(INC)  $< -o $@

clean:
	rm -rf $(BUILD)/*.o

realclean:
	rm -rf $(BUILD) ; rm -f $(LIB_SYRTHES)

=== src/tests/cas_param/syrthes_template/Makefile ===
SHELL = /bin/sh

#*****************************************************
#***     Makefile pour la gneration 
#***     d'un executable pour SYRTHES
#*****************************************************

include $(SYRTHES4_HOME)/share/syrthes/Makefile.in


OBJ=$(patsubst %.c, %.o, $(wildcard *.c))


exe : $(OBJ)
	ar xv $(LIB_SYRTHES) mainsyrthes.o
	$(CC) -o syrthes   $(COPTIM) $(CFLAG) -D_FILE_OFFSET_BITS=64 \
	$(INC_SYRTHES) $(INC_SYRTHES_LIBMAT) $(INC) $(LDFLAG) *.o \
	$(LIB_SYRTHES) -lm  $(LIB) $(LIB_PLE) 

	@rm *.o

%.o : %.c
	$(CC)  -c  $(COPTIM) $(CFLAG) -D_FILE_OFFSET_BITS=64 $(INC_SYRTHES) $(INC_SYRTHES_LIBMAT) $(INC) $? -o $@

## syrthes 4.3.5+20200129-dfsg1

=== debian/changelog ===
syrthes (4.3.5+20200129-dfsg1-1) unstable; urgency=medium

  * Fix FTBFS with GCC-10 (closes: #957857)
  * d/copyright: Fix missing LGPL license statement (closes: #955176)
  * Compat level 12

  * Upload to unstable

 -- Gilles Filippini <pini@debian.org>  Tue, 21 Apr 2020 13:30:25 +0200

syrthes (4.3.5+20200129-dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release from code-saturne.org site with support for
    python5 an pyqt5
  * Build again the syrthes-gui package

 -- Gilles Filippini <pini@debian.org>  Sat, 21 Mar 2020 13:45:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gilles Filippini <pini@debian.org>
-Build-Depends: debhelper (>= 9~), python3, dh-python, libmedc-dev, libhdf5-mpi-dev, libmetis-dev, libscotch-dev,
- code-saturne-bin (>= 4.0.0) [!s390x], code-saturne-include (>= 4.0.0) [!s390x]
+Build-Depends: debhelper (>= 12~), python3, dh-python, libmedc-dev, libhdf5-mpi-dev, libmetis-dev, libscotch-dev,
+ code-saturne-bin (>= 6.0.0) [!s390x], code-saturne-include (>= 6.0.0) [!s390x],
+ pyqt5-dev-tools,
+ python3-pyqt5.qtchart
 Standards-Version: 4.3.0
 Homepage: https://www.edf.fr/en/the-edf-group/world-s-largest-power-company/activities/research-and-development/scientific-communities/simulation-softwares?logiciel=10818
 Vcs-Browser: https://salsa.debian.org/science-team/syrthes
@@ -24,7 +26,7 @@
 
 Package: syrthes-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, syrthes (>= 4.1.1~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, syrthes (>= 4.3.5~)
 Description: Transient thermal simulations in complex solid geometries - tools
  SYRTHES is a general purpose thermal software developed at EDF R&D which
  models conduction and radiation heat transfers in complex geometries.
@@ -33,10 +35,23 @@
  creating new SYRTHES cases, converting mesh files to SYRTHES, or converting
  SYRTHES files to MED or Ensight formats.
 
+Package: syrthes-gui
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends},
+ python3-pyqt5,
+ python3-pyqt5.qtchart,
+ python3-numpy,
+ syrthes (>= 4.3.5~)
+Description: Transient thermal simulations in complex solid geometries - GUI
+ SYRTHES is a general purpose thermal software developed at EDF R&D which
+ models conduction and radiation heat transfers in complex geometries.
+ .
+ This package contains a graphical user interface for SYRTHES.
+
 Package: syrthes-tests
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3
-Recommends: syrthes (>= 4.1.1~)
+Recommends: syrthes (>= 4.3.5~)
 Description: Test cases for SYRTHES
  SYRTHES is a general purpose thermal software developed at EDF R&D which
  models conduction and radiation heat transfers in complex geometries.

=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,7 @@
 	[ ! -f src/syrthes-install/setup.ini.orig ] || \
 	  mv src/syrthes-install/setup.ini.orig src/syrthes-install/setup.ini
 	rm -fr arch
+	rm -f src/*.log $(ERRLOG)
 
 override_dh_auto_install:
 	mv src/syrthes-gui/src/install arch/Debian/syrthes-gui

=== debian/watch ===
version=4
opts="uversionmangle=s/^(.*)-([0-9]+)_([0-9]+)_([0-9]+)$/$1+$2$3$4/, dversionmangle=s/\+dfsg.*$//" \
  https://www.code-saturne.org/cms/download/prerequisites \
  .*/files/@PACKAGE@/@PACKAGE@(\d[\-+_\.:\~\da-zA-Z]*)@ARCHIVE_EXT@ \
  debian debian/orig-tar.sh
